/*! © 2026 Yahoo, Inc. UDS v0.0.0-development */
const require_index = require('../../css-tokens/dist/index.cjs');
const require_assertUnreachable = require('./utils/assertUnreachable.cjs');

//#region ../automated-config/dist/mapTextVariantFixtureToValue.js
/*! © 2026 Yahoo, Inc. UDS Default Config v0.0.0-development */
const mapTextVariantFixtureToValue = (key) => (selected, value) => {
	switch (key) {
		case "fontFamily": return `udsFontFamily[${require_index.textVariantsSafe(value)}]`;
		case "fontSize": return `udsFontSize[${require_index.textVariantsSafe(value)}]`;
		case "lineHeight": return `udsLineHeight[${require_index.textVariantsSafe(value)}]`;
		case "letterSpacing": return `udsLetterSpacing[${require_index.textVariantsSafe(value)}]`;
		case "textTransform": return `udsTextTransform[${require_index.textVariantsSafe(value)}]`;
		case "fontWeight": return `udsFontWeight[${require_index.textVariantsSafe(value)}]`;
	}
	return require_assertUnreachable.assertUnreachable(key);
};

//#endregion
exports.mapTextVariantFixtureToValue = mapTextVariantFixtureToValue;